compiz (core) - Warn: this should never happen. you should probably file a bug about this.

Bug #877505 reported by Gonçalo Marrafa on 2011-10-18
182
This bug affects 38 people
Affects Status Importance Assigned to Milestone
compiz (Ubuntu)
Low
Sam Spilsbury

Bug Description

In X session logs i keep getting

compiz (core) - Warn: unhandled ConfigureNotify on 0x140020d!
compiz (core) - Warn: this should never happen. you should probably file a bug about this.

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: compiz-core 1:0.9.6+bzr20110929-0ubuntu5
ProcVersionSignature: Ubuntu 3.0.0-12.20-generic-pae 3.0.4
Uname: Linux 3.0.0-12-generic-pae i686
NonfreeKernelModules: nvidia
.proc.driver.nvidia.gpus.0: Error: [Errno 21] Is a directory: '/proc/driver/nvidia/gpus/0'
.proc.driver.nvidia.registry: Binary: ""
.proc.driver.nvidia.version:
 NVRM version: NVIDIA UNIX x86 Kernel Module 280.13 Wed Jul 27 16:55:43 PDT 2011
 GCC version: gcc version 4.6.1 (Ubuntu/Linaro 4.6.1-9ubuntu3)
.tmp.unity.support.test.0:

ApportVersion: 1.23-0ubuntu3
Architecture: i386
CompizPlugins: [core,bailer,detection,composite,opengl,compiztoolbox,decor,place,mousepoll,grid,regex,snap,resize,animation,gnomecompat,move,imgpng,wall,obs,text,session,workarounds,fade,expo,scale,ezoom,scaleaddon,unityshell]
CompositorRunning: compiz
Date: Tue Oct 18 16:02:10 2011
DistUpgraded: Log time: 2011-10-13 23:58:03.387464
DistroCodename: oneiric
DistroVariant: ubuntu
DkmsStatus:
 nvidia-current, 280.13, 3.0.0-12-generic-pae, i686: installed
 nvidia-current-updates, 280.13, 3.0.0-12-generic-pae, i686: installed
 vboxhost, 4.1.4, 3.0.0-12-generic-pae, i686: installed
ExecutablePath: /usr/bin/compiz
GraphicsCard:
 nVidia Corporation G98M [Quadro NVS 160M] [10de:06eb] (rev a1) (prog-if 00 [VGA controller])
   Subsystem: Dell Device [1028:024f]
InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release i386 (20101007)
JockeyStatus:
 xorg:nvidia_173 - NVIDIA accelerated graphics driver (Proprietary, Disabled, Not in use)
 xorg:nvidia_173_updates - NVIDIA accelerated graphics driver (post-release updates) (Proprietary, Disabled, Not in use)
 xorg:nvidia_current - NVIDIA accelerated graphics driver (Proprietary, Disabled, Not in use)
 xorg:nvidia_current_updates - NVIDIA accelerated graphics driver (post-release updates) (Proprietary, Enabled, In use)
MachineType: Dell Inc. Latitude E6500
PccardctlIdent:
 Socket 0:
   no product info available
PccardctlStatus:
 Socket 0:
   no card
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.0.0-12-generic-pae root=UUID=62318040-6e20-49f0-b6f2-9ac3e68c3dbc ro quiet splash vt.handoff=7
SourcePackage: compiz
UpgradeStatus: Upgraded to oneiric on 2011-10-14 (4 days ago)
dmi.bios.date: 10/30/2009
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A18
dmi.board.name: 0X564R
dmi.board.vendor: Dell Inc.
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvrA18:bd10/30/2009:svnDellInc.:pnLatitudeE6500:pvr:rvnDellInc.:rn0X564R:rvr:cvnDellInc.:ct8:cvr:
dmi.product.name: Latitude E6500
dmi.sys.vendor: Dell Inc.
version.compiz: compiz 1:0.9.6+bzr20110929-0ubuntu5
version.libdrm2: libdrm2 2.4.26-1ubuntu1
version.libgl1-mesa-dri: libgl1-mesa-dri 7.11-0ubuntu3
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 7.11-0ubuntu3
version.nvidia-graphics-drivers: nvidia-graphics-drivers N/A
version.xserver-xorg: xserver-xorg 1:7.6+7ubuntu7
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.6.0-1ubuntu13
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20110811.g93fc084-0ubuntu1
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.15.901-1ubuntu2
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20110411+8378443-1

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in compiz (Ubuntu):
status: New → Confirmed
Michael Steger (m-steger) wrote :

compiz (core) - Warn: unhandled ConfigureNotify on 0x16002b0!
compiz (core) - Warn: this should never happen. you should probably file a bug about this.
compiz (core) - Warn: unhandled ConfigureNotify on 0x160031a!
compiz (core) - Warn: this should never happen. you should probably file a bug about this.

Alex Launi (alexlauni) on 2011-10-19
Changed in compiz (Ubuntu):
importance: Undecided → Low
assignee: nobody → Sam Spilsbury (smspillaz)
Sam_ (and-sam) wrote :

Output from .xsession-errors:
unity-panel-service: No process found.
Initializing unityshell options...done
compiz (core) - Warn: no exact match for ConfigureNotify on 0x120010e!
compiz (core) - Warn: expected the following changes:
compiz (core) - Warn: sibling: 0x43a0a5
compiz (core) - Warn: instead got:
compiz (core) - Warn: x: 0
compiz (core) - Warn: y: 0
compiz (core) - Warn: width: 1366
compiz (core) - Warn: height: 768
compiz (core) - Warn: above: 0
compiz (core) - Warn: this should never happen. you should probably file a bug about this.

compiz-core:
  Installed: 1:0.9.6+bzr20110929-0ubuntu5
  Candidate: 1:0.9.6+bzr20110929-0ubuntu5
  Version table:
 *** 1:0.9.6+bzr20110929-0ubuntu5 0
        500 http://archive.ubuntu.com/ubuntu/ oneiric-updates/main amd64 Packages
        100 /var/lib/dpkg/status
     1:0.9.6+bzr20110929-0ubuntu3 0

*-display
       description: VGA compatible controller
       product: M880G [Mobility Radeon HD 4200]
       vendor: ATI Technologies Inc
       physical id: 5
       bus info: pci@0000:01:05.0
       version: 00
       width: 32 bits
       clock: 33MHz
       capabilities: vga_controller bus_master cap_list rom
       configuration: driver=radeon latency=0

Sam_ (and-sam) on 2011-10-23
tags: added: amd64
Fred (eldmannen+launchpad) wrote :

compiz (core) - Warn: no exact match for ConfigureNotify on 0x4200090!
compiz (core) - Warn: expected the following changes:
compiz (core) - Warn: sibling: 0x43ee95
compiz (core) - Warn: instead got:
compiz (core) - Warn: x: 0
compiz (core) - Warn: y: 0
compiz (core) - Warn: width: 1280
compiz (core) - Warn: height: 960
compiz (core) - Warn: above: 0
compiz (core) - Warn: this should never happen. you should probably file a bug about this.

Jakbest (jakbest) wrote :

Only:
1)
compiz (core) - Warn: unhandled ConfigureNotify on 0x120034f!
compiz (core) - Warn: this should never happen. you should probably file a bug about this.
2)
compiz (core) - Warn: unhandled ConfigureNotify on 0x1200365!
compiz (core) - Warn: this should never happen. you should probably file a bug about this.
3)
compiz (core) - Warn: unhandled ConfigureNotify on 0x1200153!
compiz (core) - Warn: this should never happen. you should probably file a bug about this.
4)
compiz (core) - Warn: unhandled ConfigureNotify on 0x120015b!
compiz (core) - Warn: this should never happen. you should probably file a bug about this.

tekstr1der (tekstr1der) wrote :

I am seeing both warnings listed in the previous two comments:

I/O warning : failed to load external entity "/home/marc/.compiz/session/103b51cd71e856537131976329117132000000015100047"
compiz (expo) - Warn: failed to bind image to texture
compiz (core) - Warn: unhandled ConfigureNotify on 0x14001c2!
compiz (core) - Warn: this should never happen. you should probably file a bug about this.
compiz (core) - Warn: unhandled ConfigureNotify on 0x14004c9!
compiz (core) - Warn: this should never happen. you should probably file a bug about this.
compiz (core) - Warn: unhandled ConfigureNotify on 0x1400b65!
compiz (core) - Warn: this should never happen. you should probably file a bug about this.
compiz (core) - Warn: unhandled ConfigureNotify on 0x140294e!
compiz (core) - Warn: this should never happen. you should probably file a bug about this.
compiz (core) - Warn: no exact match for ConfigureNotify on 0x1400106!
compiz (core) - Warn: expected the following changes:
compiz (core) - Warn: sibling: 0x439949
compiz (core) - Warn: instead got:
compiz (core) - Warn: x: 0
compiz (core) - Warn: y: 0
compiz (core) - Warn: width: 1440I/O warning : failed to load external entity "/home/marc/.compiz/session/103b51cd71e856537131976329117132000000015100047"
compiz (expo) - Warn: failed to bind image to texture
compiz (core) - Warn: unhandled ConfigureNotify on 0x14001c2!
compiz (core) - Warn: this should never happen. you should probably file a bug about this.
compiz (core) - Warn: unhandled ConfigureNotify on 0x14004c9!
compiz (core) - Warn: this should never happen. you should probably file a bug about this.
compiz (core) - Warn: unhandled ConfigureNotify on 0x1400b65!
compiz (core) - Warn: this should never happen. you should probably file a bug about this.
compiz (core) - Warn: unhandled ConfigureNotify on 0x140294e!
compiz (core) - Warn: this should never happen. you should probably file a bug about this.
compiz (core) - Warn: no exact match for ConfigureNotify on 0x1400106!
compiz (core) - Warn: expected the following changes:
compiz (core) - Warn: sibling: 0x439949
compiz (core) - Warn: instead got:
compiz (core) - Warn: x: 0
compiz (core) - Warn: y: 0
compiz (core) - Warn: width: 1440
compiz (core) - Warn: height: 900
compiz (core) - Warn: above: 0
compiz (core) - Warn: this should never happen. you should probably file a bug about this.
compiz (core) - Warn: unhandled ConfigureNotify on 0x14046d0!
compiz (core) - Warn: this should never happen. you should probably file a bug about this.
compiz (core) - Warn: unhandled ConfigureNotify on 0x1404e4e!
compiz (core) - Warn: this should never happen. you should probably file a bug about this.

compiz (core) - Warn: height: 900
compiz (core) - Warn: above: 0
compiz (core) - Warn: this should never happen. you should probably file a bug about this.
compiz (core) - Warn: unhandled ConfigureNotify on 0x14046d0!
compiz (core) - Warn: this should never happen. you should probably file a bug about this.
compiz (core) - Warn: unhandled ConfigureNotify on 0x1404e4e!
compiz (core) - Warn: this should never happen. you should probably file a bug about this.

tekstr1der (tekstr1der) wrote :

My apologies for the double-paste. Oops.

Ao Phidly (aophidly) wrote :
Download full text (15.4 KiB)

Checking if settings need to be migrated ...no
Checking if internal files need to be migrated ...no
Backend : gconf
Integration : true
Profile : unity
Adding plugins
Skipping upgrade com.canonical.unity.unity.01.upgrade
Skipping upgrade com.canonical.unity.unity.02.upgrade
Initializing core options...done
Initializing bailer options...done
Initializing detection options...done
Initializing composite options...done
Initializing opengl options...done
Initializing decor options...done
Initializing snap options...done
Initializing mousepoll options...done
Initializing vpswitch options...done
Initializing gnomecompat options...done
Initializing place options...done
compiz (core) - Error: Plugin 'text' not loaded.

compiz (shift) - Warn: No compatible text plugin loaded
Initializing shift options...done
Initializing resize options...done
Initializing screenshot options...done
Initializing move options...done
Initializing wall options...done
Initializing animation options...done
Initializing session options...done
Initializing workarounds options...done
compiz (expo) - Warn: failed to bind image to texture
Initializing expo options...done
Initializing ezoom options...done
Initializing fade options...done
Initializing unitymtgrabhandles options...done
Initializing scale options...done

Screen geometry changed:
   0x0x1440x900

unity-panel-service: no process found
Initializing unityshell options...done
DEBUG 2011-10-28 11:41:37 glib <unknown>:0 Setting to primary screen rect: x=0 y=0 w=1440 h=900
WARN 2011-10-28 11:41:37 glib <unknown>:0 Failed to fetch view type at /org/ayatana/bamf/window39845893: Method "ViewType" with signature "" on interface "org.ayatana.bamf.view" doesn't exist

Setting Update "command"
Setting Update "main_menu_key"
Setting Update "run_key"
Setting Update "expo_edge"
Setting Update "exit_button"
Setting Update "initiate_edge"
Setting Update "initiate_all_edge"
Setting Update "show_launcher"
Setting Update "launcher_opacity"
Setting Update "icon_size"
compiz (core) - Warn: failed to receive ConfigureNotify event on 0x383ba37

compiz (core) - Warn: failed to receive ConfigureNotify event on 0x26000bb

compiz (core) - Warn: failed to receive ConfigureNotify event on 0x460008f

WARN 2011-10-28 11:41:48 glib <unknown>:0 Failed to fetch view type at /org/ayatana/bamf/window73400463: Method "ViewType" with signature "" on interface "org.ayatana.bamf.view" doesn't exist

WARN 2011-10-28 11:41:48 glib <unknown>:0 Failed to fetch view type at /org/ayatana/bamf/window73400463: Method "ViewType" with signature "" on interface "org.ayatana.bamf.view" doesn't exist

WARN 2011-10-28 11:41:48 glib <unknown>:0 Unable to fetch children: Method "Children" with signature "" on interface "org.ayatana.bamf.view" doesn't exist

WARN 2011-10-28 11:41:48 glib.glib-gobject <unknown>:0 invalid unclassed pointer in cast to `BamfView'
WARN 2011-10-28 11:41:49 glib.glib-gobject <unknown>:0 invalid unclassed pointer in cast to `BamfView'
WARN 2011-10-28 11:41:49 glib.glib-gobject <unknown>:0 invalid unclassed pointer in cast to `GObject'
WARN 2011-10-28 11:41:49 glib.glib-gobject <unknown>:0 instance with invalid (NULL) class pointer
WARN ...

Pieter (diepes) wrote :
Download full text (7.6 KiB)

$ compiz --replace
Checking if settings need to be migrated ...no
Checking if internal files need to be migrated ...no
Backend : gconf
Integration : true
Profile : unity
Adding plugins
Skipping upgrade com.canonical.unity.unity.01.upgrade
Skipping upgrade com.canonical.unity.unity.02.upgrade
Initializing core options...done
Initializing bailer options...done
Initializing detection options...done
Initializing composite options...done
Initializing opengl options...done
Initializing decor options...done
Initializing vpswitch options...done
Initializing mousepoll options...done
Initializing animation options...done
Initializing move options...done
Initializing fade options...done
Initializing imgjpeg options...done
Initializing workarounds options...done
Initializing place options...done
Initializing gnomecompat options...done
Initializing session options...done
Initializing grid options...done
Initializing snap options...done
Initializing resize options...done
Initializing screenshot options...done
Initializing cube options...done
Initializing scale options...done
compiz (expo) - Warn: failed to bind image to texture
Initializing expo options...done
Initializing ezoom options...done
Initializing rotate options...done
Initializing unitymtgrabhandles options...done

(compiz:10304): GdkPixbuf-CRITICAL **: gdk_pixbuf_new: assertion `width > 0' failed

(compiz:10304): GdkPixbuf-CRITICAL **: gdk_pixbuf_get_width: assertion `GDK_IS_PIXBUF (pixbuf)' failed

(compiz:10304): GdkPixbuf-CRITICAL **: gdk_pixbuf_get_height: assertion `GDK_IS_PIXBUF (pixbuf)' failed

(compiz:10304): GdkPixbuf-CRITICAL **: gdk_pixbuf_get_width: assertion `GDK_IS_PIXBUF (pixbuf)' failed

(compiz:10304): GdkPixbuf-CRITICAL **: gdk_pixbuf_get_height: assertion `GDK_IS_PIXBUF (pixbuf)' failed

(compiz:10304): GdkPixbuf-CRITICAL **: gdk_pixbuf_fill: assertion `GDK_IS_PIXBUF (pixbuf)' failed
WARN 2011-10-30 09:46:14 unity.bghash BGHash.cpp:390 Passed in a bad pixbuf, defaulting colour

Screen geometry changed:
   0x0x1400x1050

Initializing unityshell options...done
DEBUG 2011-10-30 09:46:16 glib <unknown>:0 Setting to primary screen rect: x=0 y=0 w=1400 h=1050
Setting Update "command"
Setting Update "main_menu_key"
Setting Update "run_key"
Setting Update "skydome"
Setting Update "skydome_image"
Setting Update "skydome_animated"
Setting Update "active_opacity"
Setting Update "inactive_opacity"
Setting Update "speed"
Setting Update "rotate_flip_left_edge"
Setting Update "launcher_hide_mode"
Setting Update "panel_opacity"
compiz (core) - Warn: failed to receive ConfigureNotify event on 0x22063c6

compiz (core) - Warn: failed to receive ConfigureNotify event on 0x22063b8

compiz (core) - Warn: failed to receive ConfigureNotify event on 0x22063aa

compiz (core) - Warn: no exact match for ConfigureNotify on 0x5000090!
compiz (core) - Warn: expected the following changes:
compiz (core) - Warn: sibling: 0x43ee95
compiz (core) - Warn: instead got:
compiz (core) - Warn: x: 0
compiz (core) - Warn: y: 0
compiz (core) - Warn: width: 1400
compiz (core) - Warn: height: 1050
compiz (core) - Warn: above: 0
compiz (core) - Warn: this should never happen. you should probably file a bug about ...

Read more...

Timo Eskola (timo-tolleri) wrote :

This happens when I maximize a window.

compiz (core) - Warn: unhandled ConfigureNotify on 0x12001b3!
compiz (core) - Warn: this should never happen. you should probably file a bug about this.
compiz (core) - Warn: unhandled ConfigureNotify on 0x12001b3!
compiz (core) - Warn: this should never happen. you should probably file a bug about this.
compiz (core) - Warn: unhandled ConfigureNotify on 0x1200134!
compiz (core) - Warn: this should never happen. you should probably file a bug about this.
compiz (core) - Warn: unhandled ConfigureNotify on 0x12001b3!
compiz (core) - Warn: this should never happen. you should probably file a bug about this.
compiz (core) - Warn: unhandled ConfigureNotify on 0x12001b3!
compiz (core) - Warn: this should never happen. you should probably file a bug about this.
compiz (core) - Warn: unhandled ConfigureNotify on 0x12001b3!
compiz (core) - Warn: this should never happen. you should probably file a bug about this.

docck (docck64) wrote :

I have no cube, cube rotation and viscous window (sorry. don't know how it on english). Only way to have it is manually do compiz --replace
docck@docck:~$ compiz --replace

Checking if settings need to be migrated ...no
Checking if internal files need to be migrated ...no
Backend : ini
Integration : true
Profile : default
Adding plugins
Skipping upgrade com.canonical.unity.unity.01.upgrade
Skipping upgrade com.canonical.unity.unity.02.upgrade
Initializing core options...done
Initializing bailer options...done
Initializing detection options...done
Initializing composite options...done
Initializing opengl options...done
Initializing decor options...done
Initializing gnomecompat options...done
Initializing place options...done
Initializing move options...done
Initializing vpswitch options...done
Initializing mousepoll options...done
Initializing resize options...done
Initializing session options...done
Initializing animation options...done
Initializing workarounds options...done
Initializing grid options...done
Initializing ezoom options...done
Initializing wobbly options...done
Initializing staticswitcher options...done
Initializing fade options...done
Initializing cube options...done
Initializing opacify options...done
Initializing scale options...done
Initializing rotate options...done
Couldn't find a perfect decorator match; trying all decorators
Starting unity-window-decorator
Setting Update "active_opacity"
compiz (core) - Warn: no exact match for ConfigureNotify on 0x4200090!
compiz (core) - Warn: expected the following changes:
compiz (core) - Warn: sibling: 0xa04a688
compiz (core) - Warn: instead got:
compiz (core) - Warn: x: 0
compiz (core) - Warn: y: 0
compiz (core) - Warn: width: 1920
compiz (core) - Warn: height: 1080
compiz (core) - Warn: above: 0
compiz (core) - Warn: this should never happen. you should probably file a bug about this.

Kevin Pears (rusty-bolts) wrote :
Download full text (9.5 KiB)

rustybolts@Rustybolts-Aspire-5742G:~$ unity --replace
Checking if settings need to be migrated ...no
Checking if internal files need to be migrated ...no
Backend : gconf
Integration : true
Profile : unity
Adding plugins
Skipping upgrade com.canonical.unity.unity.01.upgrade
Skipping upgrade com.canonical.unity.unity.02.upgrade
Initializing core options...done
Initializing bailer options...done
Initializing detection options...done
Initializing composite options...done
Initializing opengl options...done
Initializing decor options...done
Initializing mousepoll options...done
Initializing vpswitch options...done
Initializing animation options...done
Initializing snap options...done
compiz (expo) - Warn: failed to bind image to texture
Initializing expo options...done
Initializing move options...done
Initializing place options...done
Initializing grid options...done
Initializing gnomecompat options...done
Initializing wall options...done
Initializing ezoom options...done
Initializing workarounds options...done
Initializing resize options...done
Initializing fade options...done
Initializing unitymtgrabhandles options...done
Initializing scale options...done
Initializing session options...done

Screen geometry changed:
   0x0x1366x768

unity-panel-service: no process found
Initializing unityshell options...done
DEBUG 2011-11-06 18:51:52 glib <unknown>:0 Setting to primary screen rect: x=0 y=0 w=1366 h=768
WARN 2011-11-06 18:51:52 glib <unknown>:0 Failed to fetch view type at /org/ayatana/bamf/window77594783: Method "ViewType" with signature "" on interface "org.ayatana.bamf.view" doesn't exist

WARN 2011-11-06 18:51:52 glib <unknown>:0 Failed to fetch view type at /org/ayatana/bamf/window77595281: Method "ViewType" with signature "" on interface "org.ayatana.bamf.view" doesn't exist

WARN 2011-11-06 18:51:52 glib <unknown>:0 Failed to fetch view type at /org/ayatana/bamf/application0x222c650: Method "ViewType" with signature "" on interface "org.ayatana.bamf.view" doesn't exist

WARN 2011-11-06 18:51:52 glib <unknown>:0 Failed to fetch view type at /org/ayatana/bamf/application0x222c650: Method "ViewType" with signature "" on interface "org.ayatana.bamf.view" doesn't exist

Setting Update "command"
Setting Update "main_menu_key"
Setting Update "run_key"
Setting Update "launcher_hide_mode"
Setting Update "panel_opacity"
Setting Update "launcher_opacity"
Setting Update "icon_size"
WARN 2011-11-06 18:51:54 unity.glib.dbusproxy GLibDBusProxy.cpp:255 Cannot call method InfoRequest proxy /com/canonical/unity/lens/music does not exist
WARN 2011-11-06 18:51:54 unity.glib.dbusproxy GLibDBusProxy.cpp:255 Cannot call method SetActive proxy /com/canonical/unity/lens/music does not exist
WARN 2011-11-06 18:51:54 unity.glib.dbusproxy GLibDBusProxy.cpp:255 Cannot call method InfoRequest proxy /com/canonical/unity/lens/applications does not exist
WARN 2011-11-06 18:51:54 unity.glib.dbusproxy GLibDBusProxy.cpp:255 Cannot call method SetActive proxy /com/canonical/unity/lens/applications does not exist
WARN 2011-11-06 18:51:54 unity.glib.dbusproxy GLibDBusProxy.cpp:255 Cannot call method InfoRequest proxy /com/canonical/unity/lens/files does not exis...

Read more...

z06gal (z06gal) wrote :

I am running Gnome and this is the output of compiz --replace:

Checking if settings need to be migrated ...no
Checking if internal files need to be migrated ...no
Backend : gconf
Integration : true
Profile : unity
Adding plugins
Skipping upgrade com.canonical.unity.unity.01.upgrade
Skipping upgrade com.canonical.unity.unity.02.upgrade
Initializing core options...done
compiz (core) - Warn: failed to receive ConfigureNotify event on 0x1e0002c

Guy (guy-b) wrote :

The same problem here on:

Ubuntu 11.10
LXDE
3.0.0-15-generic
FGLRX 12.1

Couldn't find a perfect decorator match; trying all decorators
Starting unity-window-decorator
compiz (core) - Warn: no exact match for ConfigureNotify on 0xc000b5!
compiz (core) - Warn: expected the following changes:
compiz (core) - Warn: sibling: 0x427e66
compiz (core) - Warn: instead got:
compiz (core) - Warn: x: 0
compiz (core) - Warn: y: 0
compiz (core) - Warn: width: 1920
compiz (core) - Warn: height: 1080
compiz (core) - Warn: above: 0
compiz (core) - Warn: this should never happen. you should probably file a bug about this.

I got the same problem on XFCE (ubuntu 11.10 few days ago.

Nobel Yang (nobelyang) wrote :
Download full text (19.2 KiB)

nobelyang@nobelyang-vmlnx:~$ cat .xsession-errors
Running X session wrapper
Loading profile from /etc/profile
Loading profile from /home/nobelyang/.profile
Loading resource: /etc/X11/Xresources/x11-common
Loading X session script /etc/X11/Xsession.d/00_handle_guest_session
Loading X session script /etc/X11/Xsession.d/20x11-common_process-args
Loading X session script /etc/X11/Xsession.d/30x11-common_xresources
Loading X session script /etc/X11/Xsession.d/40x11-common_xsessionrc
Loading X session script /etc/X11/Xsession.d/50_check_unity_support
Loading X session script /etc/X11/Xsession.d/50x11-common_determine-startup
Loading X session script /etc/X11/Xsession.d/52libcanberra-gtk3-module_add-to-gtk-modules
Loading X session script /etc/X11/Xsession.d/52libcanberra-gtk-module_add-to-gtk-modules
Loading X session script /etc/X11/Xsession.d/55gnome-session_gnomerc
Loading X session script /etc/X11/Xsession.d/60x11-common_localhost
Loading X session script /etc/X11/Xsession.d/60x11-common_xdg_path
Loading X session script /etc/X11/Xsession.d/60xdg-user-dirs-update
Loading X session script /etc/X11/Xsession.d/65compiz_profile-on-session
Loading X session script /etc/X11/Xsession.d/70gconfd_path-on-session
Loading X session script /etc/X11/Xsession.d/75dbus_dbus-launch
Loading X session script /etc/X11/Xsession.d/80appmenu
Loading X session script /etc/X11/Xsession.d/80appmenu-gtk3
Loading X session script /etc/X11/Xsession.d/80im-switch
Setting IM through im-switch for locale=en_US.
Start IM through /home/nobelyang/.xinput.d/en_US linked to /etc/X11/xinit/xinput.d/ibus.
Loading X session script /etc/X11/Xsession.d/90consolekit
Loading X session script /etc/X11/Xsession.d/90qt-a11y
Loading X session script /etc/X11/Xsession.d/90x11-common_ssh-agent
Loading X session script /etc/X11/Xsession.d/98vboxadd-xclient
Loading X session script /etc/X11/Xsession.d/99x11-common_start
GNOME_KEYRING_CONTROL=/tmp/keyring-LR8UY3
SSH_AUTH_SOCK=/tmp/keyring-LR8UY3/ssh
GNOME_KEYRING_CONTROL=/tmp/keyring-LR8UY3
SSH_AUTH_SOCK=/tmp/keyring-LR8UY3/ssh
GNOME_KEYRING_CONTROL=/tmp/keyring-LR8UY3
SSH_AUTH_SOCK=/tmp/keyring-LR8UY3/ssh
GNOME_KEYRING_CONTROL=/tmp/keyring-LR8UY3
SSH_AUTH_SOCK=/tmp/keyring-LR8UY3/ssh
GPG_AGENT_INFO=/tmp/keyring-LR8UY3/gpg:0:1

(gnome-settings-daemon:1497): GLib-CRITICAL **: g_variant_new_string: assertion `string != NULL' failed
Checking if settings need to be migrated ...no
Checking if internal files need to be migrated ...yes
[LOG]: Moving Internal Files
[LOG]: Copying subdirectory from /home/nobelyang/.compiz/session to /home/nobelyang/.compiz-1/session
[LOG]: Copied file /home/nobelyang/.compiz/session/10c2da70c5ec71b39132826740575361600000013700041 to /home/nobelyang/.compiz-1/session/10c2da70c5ec71b39132826740575361600000013700041
[LOG]: Successfully moved internal files
Backend : gconf
Integration : true
Profile : unity
Adding plugins
Skipping upgrade com.canonical.unity.unity.01.upgrade
Skipping upgrade com.canonical.unity.unity.02.upgrade
Initializing core options...done
 1450 ? 00:00:00 VBoxClient
 1458 ? 00:00:00 VBoxClient
 1454 ? 00:00:00 VBoxClient
 1462 ? 00:00:00 VBoxClient
Initializing baile...

Guy (guy-b) wrote :

So this morning I revert to the 11.12 FGLRX for a try but it's still the same!

compiz --replace

Checking if settings need to be migrated ...no
Checking if internal files need to be migrated ...no
Backend : ini
Integration : true
Profile : default
Adding plugins
Skipping upgrade com.canonical.unity.unity.01.upgrade
Skipping upgrade com.canonical.unity.unity.02.upgrade
Initializing core options...done
Initializing bailer options...done
Initializing detection options...done
Initializing composite options...done
Initializing opengl options...done
Initializing decor options...done
Initializing vpswitch options...done
Initializing mousepoll options...done
Initializing gnomecompat options...done
Initializing place options...done
Initializing resize options...done
Initializing session options...done
Initializing move options...done
Initializing animation options...done
Initializing workarounds options...done
Initializing ezoom options...done
compiz (core) - Warn: no exact match for ConfigureNotify on 0x2000067!
compiz (core) - Warn: expected the following changes:
compiz (core) - Warn: sibling: 0x43ee0b
compiz (core) - Warn: instead got:
compiz (core) - Warn: x: 0
compiz (core) - Warn: y: 0
compiz (core) - Warn: width: 1920
compiz (core) - Warn: height: 1080
compiz (core) - Warn: above: 0
compiz (core) - Warn: this should never happen. you should probably file a bug about this.
Couldn't find a perfect decorator match; trying all decorators
Starting unity-window-decorator
Setting Update "detect_refresh_rate"
Setting Update "refresh_rate"
Setting Update "sync_to_vblank"
Setting Update "mouse_poll_interval"
Setting Update "mode"

So a few questions:

1. Is there any body who takes care about this bug or do we have to find out an another way to install compiz and to rich the goal?
2. Why is the compiz package in a minimal server installation looking for UNITY at ALL??? Not all needs UNITY as far as know but even more the opposite! So what about Lubuntu Xubuntu users? Is that a strategy to push the people to move to unity? if yes, please by clear.
3. Why can't we get any answer about that stuff posted seens 3 months? (2011-10-18)

Thanks.

This warning message refers to a particular window, by window ID, so just posting the warning message is not very useful because it does not tell you which program Compiz is talking about.

Eg, for me:
compiz (core) - Warn: failed to receive ConfigureNotify event on 0x5c00003

If I run "xwininfo -id 0x5c00003" in a terminal, I see that Compiz is referring to Rhythmbox. Since I often close the main Rhythmbox window (and the process stays running in the background), it could be a race condition that happens just as the window closes. The warning by itself is pretty harmless.

Adila Tresna (th31syn) wrote :

Mine is:
compiz (core) - Warn: unhandled ConfigureNotify on 0x360013e!

Try to run command "xwininfo -id 0x360013e" and the output is:

xwininfo: Window id: 0x360013e (has no name)

  Absolute upper-left X: 183
  Absolute upper-left Y: 41
  Relative upper-left X: 183
  Relative upper-left Y: 41
  Width: 728
  Height: 435
  Depth: 32
  Visual: 0x5b
  Visual Class: TrueColor
  Border width: 0
  Class: InputOutput
  Colormap: 0x3200005 (not installed)
  Bit Gravity State: ForgetGravity
  Window Gravity State: NorthWestGravity
  Backing Store State: NotUseful
  Save Under State: no
  Map State: IsViewable
  Override Redirect State: yes
  Corners: +183+41 -113+41 -113-124 +183-124
  -geometry 728x435+183+41

kenorb (kenorb) wrote :

Similar problems.
It works very weird.
In addition when I'm moving any window to screen on the right, they becoming invisible.

My errors:

$ compiz --replace
Checking if settings need to be migrated ...no
Checking if internal files need to be migrated ...no
Backend : gconf
Integration : true
Profile : default
Adding plugins
Initializing core options...done
compiz (core) - Warn: failed to receive ConfigureNotify event on 0x140003e

compiz (core) - Warn: failed to receive ConfigureNotify event on 0x42000b8

compiz (core) - Warn: failed to receive ConfigureNotify event on 0x1200002

compiz (core) - Warn: failed to receive ConfigureNotify event on 0x120000c

compiz (core) - Warn: failed to receive ConfigureNotify event on 0x1400002

compiz (core) - Warn: failed to receive ConfigureNotify event on 0x2200003

Initializing composite options...done
Initializing opengl options...done
Initializing maximumize options...done
Initializing decor options...done
Initializing resize options...done
Initializing place options...done
Initializing session options...done
Initializing grid options...done
Initializing snap options...done
Initializing gnomecompat options...done
Initializing mousepoll options...done
Initializing vpswitch options...done
Initializing move options...done
Initializing animation options...done
Initializing fade options...done
Initializing cube options...done
compiz (expo) - Warn: failed to bind image to texture
Initializing expo options...done
Initializing workarounds options...done
compiz (core) - Error: Plugin 'text' not loaded.

Initializing group options...done
Initializing ezoom options...done
Initializing kdecompat options...done
Initializing scale options...done
compiz (core) - Warn: unhandled ConfigureNotify on 0x4800093!
compiz (core) - Warn: this should never happen. you should probably file a bug about this.
compiz (core) - Warn: unhandled ConfigureNotify on 0x480009c!
compiz (core) - Warn: this should never happen. you should probably file a bug about this.
compiz (core) - Warn: unhandled ConfigureNotify on 0x4800093!
compiz (core) - Warn: this should never happen. you should probably file a bug about this.
compiz (core) - Warn: unhandled ConfigureNotify on 0x480009f!
compiz (core) - Warn: this should never happen. you should probably file a bug about this.
compiz (core) - Warn: unhandled ConfigureNotify on 0x48000a2!
compiz (core) - Warn: this should never happen. you should probably file a bug about this.
compiz (core) - Warn: unhandled ConfigureNotify on 0x48000a5!
compiz (core) - Warn: this should never happen. you should probably file a bug about this.
compiz (core) - Warn: unhandled ConfigureNotify on 0x48000a8!
compiz (core) - Warn: this should never happen. you should probably file a bug about this.
Setting Update "main_menu_key"
Setting Update "run_key"
Setting Update "expo_key"

third time i have tried --reset. same output:

$ unity --reset
WARNING: Unity currently default profile, so switching to metacity while resetting the values
Checking if settings need to be migrated ...no
Checking if internal files need to be migrated ...no
Backend : gconf
Integration : true
Profile : unity
Adding plugins
Initializing core options...done
compiz (core) - Warn: failed to receive ConfigureNotify event on 0x3200121

Initializing composite options...done
Initializing opengl options...done
Initializing decor options...done
Initializing vpswitch options...done
Initializing snap options...done
Initializing mousepoll options...done
Initializing resize options...done
Initializing place options...done
Initializing move options...done
Initializing wall options...done
Initializing grid options...done
Initializing session options...done
Initializing gnomecompat options...done
Initializing animation options...done
Initializing fade options...done
Initializing unitymtgrabhandles options...done
Initializing workarounds options...done
Initializing scale options...done
compiz (expo) - Warn: failed to bind image to texture
Initializing expo options...done
Initializing ezoom options...done

(compiz:3592): GConf-CRITICAL **: gconf_client_add_dir: assertion `gconf_valid_key (dirname, NULL)' failed
Initializing unityshell options...done
compiz (core) - Warn: unhandled ConfigureNotify on 0xc000a3!
compiz (core) - Warn: this should never happen. you should probably file a bug about this.
WARN 2013-04-29 18:16:57 unity.libindicator <unknown>:0 Desktop file '/usr/share/applications/libreoffice-writer.desktop' is using a deprecated format for its actions that will be dropped soon.
WARN 2013-04-29 18:16:57 unity.libindicator <unknown>:0 Desktop file '/usr/share/applications/libreoffice-calc.desktop' is using a deprecated format for its actions that will be dropped soon.
WARN 2013-04-29 18:16:57 unity.libindicator <unknown>:0 Desktop file '/usr/share/applications/libreoffice-impress.desktop' is using a deprecated format for its actions that will be dropped soon.
Initializing annotate options...done
Initializing blur options...done
Initializing clone options...done
Initializing colorfilter options...done
Initializing commands options...done
Initializing cube options...done
Initializing imgjpeg options...done
Initializing kdecompat options...done
Initializing mag options...done
Initializing neg options...done
Initializing obs options...done
Initializing opacify options...done
Initializing put options...done
Initializing resizeinfo options...done
Initializing ring options...done
Initializing rotate options...done
Initializing scaleaddon options...done
Initializing screenshot options...done
Initializing shift options...done
Initializing staticswitcher options...done
Initializing switcher options...done
Initializing thumbnail options...done
Initializing water options...done
Initializing winrules options...done
Initializing wobbly options...done
ERROR 2013-04-29 18:17:00 unity.glib-gobject <unknown>:0 g_object_unref: assertion `G_IS_OBJECT (object)' failed
Setting Update "main_menu_key"
Setting Update "run_key"

benditoelqueviene (quasar1970) wrote :

I tried "unity --reset" because I haved the same apps in the menu (Windows key) after many sessions. Tried many times with the same result: the terminal show something less as in attachment and stags, no reset. The menu of icons at left paralizes and appears twice; only one of them hide with cursor movement. I tried in Gnome and the terminal advaced a little more, the file attached is the result.

To post a comment you must log in.